<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\Anwesenheiten;

use webtools\lists\Kurstage;

class ControllerFactory
{
  
  public function getController($pAction)
  {
    switch ($pAction) {
      default:
      case 'kurstageuebersicht':
        return new KurstageUebersicht\KurstageUebersichtController();
      case 'anwesenheitseingabe':
        return new Anwesenheitseingabe\AnwesenheitseingabeController();
      case 'anwesenheiten_speichern':
        return new AnwesenheitenSpeichern\AnwesenheitenSpeichernController();
      case 'anwesenheiten_kurs_abschliessen':
        return new \Kufer\Web\KuferTools\Dozent\Anwesenheiten\Anwesenheitseingabe\KursAbschliessen\KursAbschliessenDialogController();
      case 'anwesenheiten_sende_kurs_abschliessen':
        return new \Kufer\Web\KuferTools\Dozent\Anwesenheiten\Anwesenheitseingabe\KursAbschliessen\SendKursAbschliessenDialogController();
      case 'showFeedbackFormular':
        return new Feedback\KursTageFeedbackFormularController();
      case 'sendFeedback':
        return new Feedback\SendeKursTageFeedbackController();
      case 'notenUebersicht':
        return new NotenUebersicht\NotenUebersichtController();
      case 'notenSpeichern':
        return new NotenSpeichern\NotenSpeichernController();
      case 'showVerhaltensListeAuswahl':
        return new \Kufer\KuferTools\Dozent\KursUebersicht\Detailsreiter\Teilnehmer\VerhaltensListe\VerhaltensListeAuswahlController();
    }
  }
}